package com.bonus.canteen.core.alloc.service.impl;

import java.math.BigDecimal;
import java.util.List;
import java.util.UUID;

import com.bonus.canteen.core.alloc.domain.AllocCanteen;
import com.bonus.canteen.core.alloc.mapper.AllocCanteenMapper;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import com.bonus.common.houqin.constant.GlobalConstants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.core.alloc.service.IAllocCanteenService;

/**
 * 食堂信息Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-03
 */
@Service
public class AllocCanteenServiceImpl implements IAllocCanteenService {
    @Autowired
    private AllocCanteenMapper allocCanteenMapper;

    /**
     * 查询食堂信息
     * 
     * @param canteenId 食堂信息主键
     * @return 食堂信息
     */
    @Override
    public AllocCanteen selectAllocCanteenByCanteenId(Long canteenId) {
        return allocCanteenMapper.selectAllocCanteenByCanteenId(canteenId);
    }

    /**
     * 查询食堂信息列表
     * 
     * @param allocCanteen 食堂信息
     * @return 食堂信息
     */
    @Override
    public List<AllocCanteen> selectAllocCanteenList(AllocCanteen allocCanteen) {
        return allocCanteenMapper.selectAllocCanteenList(allocCanteen);
    }

    /**
     * 新增食堂信息
     * 
     * @param allocCanteen 食堂信息
     * @return 结果
     */
    @Override
    public int insertAllocCanteen(AllocCanteen allocCanteen) {
        allocCanteen.setCreateTime(DateUtils.getNowDate());
        try {
            return allocCanteenMapper.insertAllocCanteen(allocCanteen);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改食堂信息
     * 
     * @param allocCanteen 食堂信息
     * @return 结果
     */
    @Override
    public int updateAllocCanteen(AllocCanteen allocCanteen) {
        allocCanteen.setUpdateTime(DateUtils.getNowDate());
        try {
            return allocCanteenMapper.updateAllocCanteen(allocCanteen);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除食堂信息
     * 
     * @param canteenIds 需要删除的食堂信息主键
     * @return 结果
     */
    @Override
    public int deleteAllocCanteenByCanteenIds(Long[] canteenIds) {
        return allocCanteenMapper.deleteAllocCanteenByCanteenIds(canteenIds);
    }

    /**
     * 删除食堂信息信息
     * 
     * @param canteenId 食堂信息主键
     * @return 结果
     */
    @Override
    public int deleteAllocCanteenByCanteenId(Long canteenId) {
        return allocCanteenMapper.deleteAllocCanteenByCanteenId(canteenId);
    }

    public static void main(String[] args) {
        BigDecimal bigDecimal = new BigDecimal("123.45");
        long longValue = bigDecimal.multiply(new BigDecimal(100)).longValue();
        System.out.println(longValue);
        System.out.println(GlobalConstants.TENANT_ID + "_" + UUID.randomUUID().toString().replaceAll("-",""));
    }
}
